Atlas™ API
Atlas™ API for app distribution (atlas-api.vuframe.com).
v1.0.0Download atlas-api.yml
Request files from the Vuframe® platform via the CDN API.
Servers
https://atlas-api.vuframe.comProduction server
Contact andreas.zeitler@vuframe.com
Endpoints
Distribution
Secured calls for Vuframe® app clients.
download an item
POST/distri/v1/products/{identifier}/builds
Call /distri/v1/products/{identifier}/builds to build and download a distribution.
Path parameters
| Name | Type | Description |
|---|---|---|
identifierrequired | string | the identifier of the requested distibution. |
Query parameters
| Name | Type | Description |
|---|---|---|
filenamerequired | string | filename of built artifact with file extension. |
Responses
200build
Content type application/json
| Field | Type | Description |
|---|---|---|
callback_url | string | |
key | string | |
policy | string | |
acl | string | |
signature | string | |
aws_access_key_id | string | |
aws_secret_access_key | string | |
aws_region | string | |
aws_bucket_name | string | |
build | object | |
build.id | string | |
build.product_name | string | |
build.disabled | boolean | |
build.enable_build_url | string |
Example
{
"callback_url": "string",
"key": "string",
"policy": "string",
"acl": "string",
"signature": "string",
"aws_access_key_id": "string",
"aws_secret_access_key": "string",
"aws_region": "string",
"aws_bucket_name": "string",
"build": {
"id": "string",
"product_name": "string",
"disabled": true,
"enable_build_url": "string"
}
}302redirect for download
No body.
Example request
curl -X POST "https://atlas-api.vuframe.com/distri/v1/products/{identifier}/builds"